Index: src/backend/access/transam/twophase_rmgr.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/access/transam/twophase_rmgr.c,v
retrieving revision 1.8
diff -c -p -r1.8 twophase_rmgr.c
*** src/backend/access/transam/twophase_rmgr.c	1 Jan 2009 17:23:36 -0000	1.8
--- src/backend/access/transam/twophase_rmgr.c	31 Aug 2009 21:52:17 -0000
***************
*** 18,24 ****
  #include "commands/async.h"
  #include "pgstat.h"
  #include "storage/lock.h"
- #include "utils/flatfiles.h"
  #include "utils/inval.h"
  
  
--- 18,23 ----
*************** const TwoPhaseCallback twophase_recover_
*** 27,33 ****
  	NULL,						/* END ID */
  	lock_twophase_recover,		/* Lock */
  	NULL,						/* Inval */
- 	NULL,						/* flat file update */
  	NULL,						/* notify/listen */
  	NULL						/* pgstat */
  };
--- 26,31 ----
*************** const TwoPhaseCallback twophase_postcomm
*** 37,43 ****
  	NULL,						/* END ID */
  	lock_twophase_postcommit,	/* Lock */
  	inval_twophase_postcommit,	/* Inval */
- 	flatfile_twophase_postcommit,		/* flat file update */
  	notify_twophase_postcommit, /* notify/listen */
  	pgstat_twophase_postcommit	/* pgstat */
  };
--- 35,40 ----
*************** const TwoPhaseCallback twophase_postabor
*** 47,53 ****
  	NULL,						/* END ID */
  	lock_twophase_postabort,	/* Lock */
  	NULL,						/* Inval */
- 	NULL,						/* flat file update */
  	NULL,						/* notify/listen */
  	pgstat_twophase_postabort	/* pgstat */
  };
--- 44,49 ----
Index: src/backend/access/transam/xact.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/access/transam/xact.c,v
retrieving revision 1.274
diff -c -p -r1.274 xact.c
*** src/backend/access/transam/xact.c	11 Jun 2009 14:48:54 -0000	1.274
--- src/backend/access/transam/xact.c	31 Aug 2009 21:50:41 -0000
***************
*** 43,49 ****
  #include "storage/sinvaladt.h"
  #include "storage/smgr.h"
  #include "utils/combocid.h"
- #include "utils/flatfiles.h"
  #include "utils/guc.h"
  #include "utils/inval.h"
  #include "utils/memutils.h"
--- 43,48 ----
*************** CommitTransaction(void)
*** 1608,1619 ****
  	/* NOTIFY commit must come before lower-level cleanup */
  	AtCommit_Notify();
  
- 	/*
- 	 * Update flat files if we changed pg_database, pg_authid or
- 	 * pg_auth_members.  This should be the last step before commit.
- 	 */
- 	AtEOXact_UpdateFlatFiles(true);
- 
  	/* Prevent cancel/die interrupt while cleaning up */
  	HOLD_INTERRUPTS();
  
--- 1607,1612 ----
*************** PrepareTransaction(void)
*** 1797,1803 ****
  	/* close large objects before lower-level cleanup */
  	AtEOXact_LargeObject(true);
  
! 	/* NOTIFY and flatfiles will be handled below */
  
  	/*
  	 * Don't allow PREPARE TRANSACTION if we've accessed a temporary table in
--- 1790,1796 ----
  	/* close large objects before lower-level cleanup */
  	AtEOXact_LargeObject(true);
  
! 	/* NOTIFY will be handled below */
  
  	/*
  	 * Don't allow PREPARE TRANSACTION if we've accessed a temporary table in
*************** PrepareTransaction(void)
*** 1860,1866 ****
  	StartPrepare(gxact);
  
  	AtPrepare_Notify();
- 	AtPrepare_UpdateFlatFiles();
  	AtPrepare_Inval();
  	AtPrepare_Locks();
  	AtPrepare_PgStat();
--- 1853,1858 ----
*************** PrepareTransaction(void)
*** 1909,1915 ****
  	/* Clean up the snapshot manager */
  	AtEarlyCommit_Snapshot();
  
! 	/* notify and flatfiles don't need a postprepare call */
  
  	PostPrepare_PgStat();
  
--- 1901,1907 ----
  	/* Clean up the snapshot manager */
  	AtEarlyCommit_Snapshot();
  
! 	/* notify doesn't need a postprepare call */
  
  	PostPrepare_PgStat();
  
*************** AbortTransaction(void)
*** 2036,2042 ****
  	AtAbort_Portals();
  	AtEOXact_LargeObject(false);	/* 'false' means it's abort */
  	AtAbort_Notify();
- 	AtEOXact_UpdateFlatFiles(false);
  
  	/*
  	 * Advertise the fact that we aborted in pg_clog (assuming that we got as
--- 2028,2033 ----
*************** CommitSubTransaction(void)
*** 3764,3771 ****
  	AtEOSubXact_LargeObject(true, s->subTransactionId,
  							s->parent->subTransactionId);
  	AtSubCommit_Notify();
- 	AtEOSubXact_UpdateFlatFiles(true, s->subTransactionId,
- 								s->parent->subTransactionId);
  
  	CallSubXactCallbacks(SUBXACT_EVENT_COMMIT_SUB, s->subTransactionId,
  						 s->parent->subTransactionId);
--- 3755,3760 ----
*************** AbortSubTransaction(void)
*** 3885,3892 ****
  		AtEOSubXact_LargeObject(false, s->subTransactionId,
  								s->parent->subTransactionId);
  		AtSubAbort_Notify();
- 		AtEOSubXact_UpdateFlatFiles(false, s->subTransactionId,
- 									s->parent->subTransactionId);
  
  		/* Advertise the fact that we aborted in pg_clog. */
  		(void) RecordTransactionAbort(true);
--- 3874,3879 ----
Index: src/backend/access/transam/xlog.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/access/transam/xlog.c,v
retrieving revision 1.350
diff -c -p -r1.350 xlog.c
*** src/backend/access/transam/xlog.c	31 Aug 2009 02:23:22 -0000	1.350
--- src/backend/access/transam/xlog.c	31 Aug 2009 21:56:46 -0000
***************
*** 49,55 ****
  #include "storage/smgr.h"
  #include "storage/spin.h"
  #include "utils/builtins.h"
- #include "utils/flatfiles.h"
  #include "utils/guc.h"
  #include "utils/ps_status.h"
  #include "pg_trace.h"
--- 49,54 ----
*************** StartupProcessMain(void)
*** 8077,8084 ****
  
  	StartupXLOG();
  
- 	BuildFlatFiles(false);
- 
  	/*
  	 * Exit normally. Exit code 0 tells postmaster that we completed recovery
  	 * successfully.
--- 8076,8081 ----
Index: src/backend/commands/dbcommands.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/commands/dbcommands.c,v
retrieving revision 1.225
diff -c -p -r1.225 dbcommands.c
*** src/backend/commands/dbcommands.c	11 Jun 2009 14:48:55 -0000	1.225
--- src/backend/commands/dbcommands.c	31 Aug 2009 22:37:27 -0000
***************
*** 49,55 ****
  #include "storage/smgr.h"
  #include "utils/acl.h"
  #include "utils/builtins.h"
- #include "utils/flatfiles.h"
  #include "utils/fmgroids.h"
  #include "utils/guc.h"
  #include "utils/lsyscache.h"
--- 49,54 ----
*************** createdb(const CreatedbStmt *stmt)
*** 691,709 ****
  		RequestCheckpoint(CHECKPOINT_IMMEDIATE | CHECKPOINT_FORCE | CHECKPOINT_WAIT);
  
  		/*
! 		 * Close pg_database, but keep lock till commit (this is important to
! 		 * prevent any risk of deadlock failure while updating flat file)
  		 */
  		heap_close(pg_database_rel, NoLock);
  
  		/*
! 		 * Set flag to update flat database file at commit.  Note: this also
! 		 * forces synchronous commit, which minimizes the window between
  		 * creation of the database files and commital of the transaction. If
  		 * we crash before committing, we'll have a DB that's taking up disk
  		 * space but is not in pg_database, which is not good.
  		 */
! 		database_file_update_needed();
  	}
  	PG_END_ENSURE_ERROR_CLEANUP(createdb_failure_callback,
  								PointerGetDatum(&fparms));
--- 690,706 ----
  		RequestCheckpoint(CHECKPOINT_IMMEDIATE | CHECKPOINT_FORCE | CHECKPOINT_WAIT);
  
  		/*
! 		 * Close pg_database, but keep lock till commit.
  		 */
  		heap_close(pg_database_rel, NoLock);
  
  		/*
! 		 * Force synchronous commit, thus minimizing the window between
  		 * creation of the database files and commital of the transaction. If
  		 * we crash before committing, we'll have a DB that's taking up disk
  		 * space but is not in pg_database, which is not good.
  		 */
! 		ForceSyncCommit();
  	}
  	PG_END_ENSURE_ERROR_CLEANUP(createdb_failure_callback,
  								PointerGetDatum(&fparms));
*************** dropdb(const char *dbname, bool missing_
*** 862,880 ****
  	remove_dbtablespaces(db_id);
  
  	/*
! 	 * Close pg_database, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(pgdbrel, NoLock);
  
  	/*
! 	 * Set flag to update flat database file at commit.  Note: this also
! 	 * forces synchronous commit, which minimizes the window between removal
  	 * of the database files and commital of the transaction. If we crash
  	 * before committing, we'll have a DB that's gone on disk but still there
  	 * according to pg_database, which is not good.
  	 */
! 	database_file_update_needed();
  }
  
  
--- 859,875 ----
  	remove_dbtablespaces(db_id);
  
  	/*
! 	 * Close pg_database, but keep lock till commit.
  	 */
  	heap_close(pgdbrel, NoLock);
  
  	/*
! 	 * Force synchronous commit, thus minimizing the window between removal
  	 * of the database files and commital of the transaction. If we crash
  	 * before committing, we'll have a DB that's gone on disk but still there
  	 * according to pg_database, which is not good.
  	 */
! 	ForceSyncCommit();
  }
  
  
*************** RenameDatabase(const char *oldname, cons
*** 957,971 ****
  	CatalogUpdateIndexes(rel, newtup);
  
  	/*
! 	 * Close pg_database, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(rel, NoLock);
- 
- 	/*
- 	 * Set flag to update flat database file at commit.
- 	 */
- 	database_file_update_needed();
  }
  
  
--- 952,960 ----
  	CatalogUpdateIndexes(rel, newtup);
  
  	/*
! 	 * Close pg_database, but keep lock till commit.
  	 */
  	heap_close(rel, NoLock);
  }
  
  
*************** movedb(const char *dbname, const char *t
*** 1212,1228 ****
  		RequestCheckpoint(CHECKPOINT_IMMEDIATE | CHECKPOINT_FORCE | CHECKPOINT_WAIT);
  
  		/*
! 		 * Set flag to update flat database file at commit.  Note: this also
! 		 * forces synchronous commit, which minimizes the window between
  		 * copying the database files and commital of the transaction. If we
  		 * crash before committing, we'll leave an orphaned set of files on
  		 * disk, which is not fatal but not good either.
  		 */
! 		database_file_update_needed();
  
  		/*
! 		 * Close pg_database, but keep lock till commit (this is important to
! 		 * prevent any risk of deadlock failure while updating flat file)
  		 */
  		heap_close(pgdbrel, NoLock);
  	}
--- 1201,1215 ----
  		RequestCheckpoint(CHECKPOINT_IMMEDIATE | CHECKPOINT_FORCE | CHECKPOINT_WAIT);
  
  		/*
! 		 * Force synchronous commit, thus minimizing the window between
  		 * copying the database files and commital of the transaction. If we
  		 * crash before committing, we'll leave an orphaned set of files on
  		 * disk, which is not fatal but not good either.
  		 */
! 		ForceSyncCommit();
  
  		/*
! 		 * Close pg_database, but keep lock till commit.
  		 */
  		heap_close(pgdbrel, NoLock);
  	}
*************** AlterDatabase(AlterDatabaseStmt *stmt, b
*** 1401,1411 ****
  
  	/* Close pg_database, but keep lock till commit */
  	heap_close(rel, NoLock);
- 
- 	/*
- 	 * We don't bother updating the flat file since the existing options for
- 	 * ALTER DATABASE don't affect it.
- 	 */
  }
  
  
--- 1388,1393 ----
*************** AlterDatabaseSet(AlterDatabaseSetStmt *s
*** 1494,1504 ****
  
  	/* Close pg_database, but keep lock till commit */
  	heap_close(rel, NoLock);
- 
- 	/*
- 	 * We don't bother updating the flat file since ALTER DATABASE SET doesn't
- 	 * affect it.
- 	 */
  }
  
  
--- 1476,1481 ----
*************** AlterDatabaseOwner(const char *dbname, O
*** 1608,1618 ****
  
  	/* Close pg_database, but keep lock till commit */
  	heap_close(rel, NoLock);
- 
- 	/*
- 	 * We don't bother updating the flat file since ALTER DATABASE OWNER
- 	 * doesn't affect it.
- 	 */
  }
  
  
--- 1585,1590 ----
Index: src/backend/commands/user.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/commands/user.c,v
retrieving revision 1.187
diff -c -p -r1.187 user.c
*** src/backend/commands/user.c	11 Jun 2009 14:48:56 -0000	1.187
--- src/backend/commands/user.c	31 Aug 2009 22:40:04 -0000
***************
*** 26,32 ****
  #include "storage/lmgr.h"
  #include "utils/acl.h"
  #include "utils/builtins.h"
- #include "utils/flatfiles.h"
  #include "utils/fmgroids.h"
  #include "utils/guc.h"
  #include "utils/lsyscache.h"
--- 26,31 ----
*************** CreateRole(CreateRoleStmt *stmt)
*** 385,399 ****
  				GetUserId(), false);
  
  	/*
! 	 * Close pg_authid, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(pg_authid_rel, NoLock);
- 
- 	/*
- 	 * Set flag to update flat auth file at commit.
- 	 */
- 	auth_file_update_needed();
  }
  
  
--- 384,392 ----
  				GetUserId(), false);
  
  	/*
! 	 * Close pg_authid, but keep lock till commit.
  	 */
  	heap_close(pg_authid_rel, NoLock);
  }
  
  
*************** AlterRole(AlterRoleStmt *stmt)
*** 710,724 ****
  					false);
  
  	/*
! 	 * Close pg_authid, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(pg_authid_rel, NoLock);
- 
- 	/*
- 	 * Set flag to update flat auth file at commit.
- 	 */
- 	auth_file_update_needed();
  }
  
  
--- 703,711 ----
  					false);
  
  	/*
! 	 * Close pg_authid, but keep lock till commit.
  	 */
  	heap_close(pg_authid_rel, NoLock);
  }
  
  
*************** AlterRoleSet(AlterRoleSetStmt *stmt)
*** 808,814 ****
  	CatalogUpdateIndexes(rel, newtuple);
  
  	ReleaseSysCache(oldtuple);
- 	/* needn't keep lock since we won't be updating the flat file */
  	heap_close(rel, RowExclusiveLock);
  }
  
--- 795,800 ----
*************** DropRole(DropRoleStmt *stmt)
*** 970,985 ****
  	}
  
  	/*
! 	 * Now we can clean up; but keep locks until commit (to avoid possible
! 	 * deadlock failure while updating flat file)
  	 */
  	heap_close(pg_auth_members_rel, NoLock);
  	heap_close(pg_authid_rel, NoLock);
- 
- 	/*
- 	 * Set flag to update flat auth file at commit.
- 	 */
- 	auth_file_update_needed();
  }
  
  /*
--- 956,965 ----
  	}
  
  	/*
! 	 * Now we can clean up; but keep locks until commit.
  	 */
  	heap_close(pg_auth_members_rel, NoLock);
  	heap_close(pg_authid_rel, NoLock);
  }
  
  /*
*************** RenameRole(const char *oldname, const ch
*** 1092,1106 ****
  	ReleaseSysCache(oldtuple);
  
  	/*
! 	 * Close pg_authid, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(rel, NoLock);
- 
- 	/*
- 	 * Set flag to update flat auth file at commit.
- 	 */
- 	auth_file_update_needed();
  }
  
  /*
--- 1072,1080 ----
  	ReleaseSysCache(oldtuple);
  
  	/*
! 	 * Close pg_authid, but keep lock till commit.
  	 */
  	heap_close(rel, NoLock);
  }
  
  /*
*************** GrantRole(GrantRoleStmt *stmt)
*** 1157,1171 ****
  	}
  
  	/*
! 	 * Close pg_authid, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(pg_authid_rel, NoLock);
- 
- 	/*
- 	 * Set flag to update flat auth file at commit.
- 	 */
- 	auth_file_update_needed();
  }
  
  /*
--- 1131,1139 ----
  	}
  
  	/*
! 	 * Close pg_authid, but keep lock till commit.
  	 */
  	heap_close(pg_authid_rel, NoLock);
  }
  
  /*
*************** AddRoleMems(const char *rolename, Oid ro
*** 1385,1392 ****
  	}
  
  	/*
! 	 * Close pg_authmem, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(pg_authmem_rel, NoLock);
  }
--- 1353,1359 ----
  	}
  
  	/*
! 	 * Close pg_authmem, but keep lock till commit.
  	 */
  	heap_close(pg_authmem_rel, NoLock);
  }
*************** DelRoleMems(const char *rolename, Oid ro
*** 1498,1505 ****
  	}
  
  	/*
! 	 * Close pg_authmem, but keep lock till commit (this is important to
! 	 * prevent any risk of deadlock failure while updating flat file)
  	 */
  	heap_close(pg_authmem_rel, NoLock);
  }
--- 1465,1471 ----
  	}
  
  	/*
! 	 * Close pg_authmem, but keep lock till commit.
  	 */
  	heap_close(pg_authmem_rel, NoLock);
  }
Index: src/backend/commands/vacuum.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/commands/vacuum.c,v
retrieving revision 1.391
diff -c -p -r1.391 vacuum.c
*** src/backend/commands/vacuum.c	31 Aug 2009 02:23:22 -0000	1.391
--- src/backend/commands/vacuum.c	31 Aug 2009 21:56:21 -0000
***************
*** 46,52 ****
  #include "storage/procarray.h"
  #include "utils/acl.h"
  #include "utils/builtins.h"
- #include "utils/flatfiles.h"
  #include "utils/fmgroids.h"
  #include "utils/inval.h"
  #include "utils/lsyscache.h"
--- 46,51 ----
*************** vac_update_datfrozenxid(void)
*** 893,907 ****
  	heap_close(relation, RowExclusiveLock);
  
  	/*
! 	 * If we were able to advance datfrozenxid, mark the flat-file copy of
! 	 * pg_database for update at commit, and see if we can truncate pg_clog.
! 	 * Also force update if the shared XID-wrap-limit info is stale.
  	 */
  	if (dirty || !TransactionIdLimitIsValid())
- 	{
- 		database_file_update_needed();
  		vac_truncate_clog(newFrozenXid);
- 	}
  }
  
  
--- 892,902 ----
  	heap_close(relation, RowExclusiveLock);
  
  	/*
! 	 * If we were able to advance datfrozenxid, see if we can truncate pg_clog.
! 	 * Also do it if the shared XID-wrap-limit info is stale.
  	 */
  	if (dirty || !TransactionIdLimitIsValid())
  		vac_truncate_clog(newFrozenXid);
  }
  
  
Index: src/backend/libpq/hba.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/libpq/hba.c,v
retrieving revision 1.189
diff -c -p -r1.189 hba.c
*** src/backend/libpq/hba.c	29 Aug 2009 19:26:51 -0000	1.189
--- src/backend/libpq/hba.c	31 Aug 2009 22:42:33 -0000
*************** load_hba(void)
*** 1275,1325 ****
  }
  
  /*
-  * Read and parse one line from the flat pg_database file.
-  *
-  * Returns TRUE on success, FALSE if EOF; bad data causes elog(FATAL).
-  *
-  * Output parameters:
-  *	dbname: gets database name (must be of size NAMEDATALEN bytes)
-  *	dboid: gets database OID
-  *	dbtablespace: gets database's default tablespace's OID
-  *	dbfrozenxid: gets database's frozen XID
-  *
-  * This is not much related to the other functions in hba.c, but we put it
-  * here because it uses the next_token() infrastructure.
-  */
- bool
- read_pg_database_line(FILE *fp, char *dbname, Oid *dboid,
- 					  Oid *dbtablespace, TransactionId *dbfrozenxid)
- {
- 	char		buf[MAX_TOKEN];
- 
- 	if (feof(fp))
- 		return false;
- 	if (!next_token(fp, buf, sizeof(buf)))
- 		return false;
- 	if (strlen(buf) >= NAMEDATALEN)
- 		elog(FATAL, "bad data in flat pg_database file");
- 	strcpy(dbname, buf);
- 	next_token(fp, buf, sizeof(buf));
- 	if (!isdigit((unsigned char) buf[0]))
- 		elog(FATAL, "bad data in flat pg_database file");
- 	*dboid = atooid(buf);
- 	next_token(fp, buf, sizeof(buf));
- 	if (!isdigit((unsigned char) buf[0]))
- 		elog(FATAL, "bad data in flat pg_database file");
- 	*dbtablespace = atooid(buf);
- 	next_token(fp, buf, sizeof(buf));
- 	if (!isdigit((unsigned char) buf[0]))
- 		elog(FATAL, "bad data in flat pg_database file");
- 	*dbfrozenxid = atoxid(buf);
- 	/* expect EOL next */
- 	if (next_token(fp, buf, sizeof(buf)))
- 		elog(FATAL, "bad data in flat pg_database file");
- 	return true;
- }
- 
- /*
   *	Process one line from the ident config file.
   *
   *	Take the line and compare it to the needed map, pg_role and ident_user.
--- 1275,1280 ----
Index: src/backend/tcop/postgres.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/tcop/postgres.c,v
retrieving revision 1.571
diff -c -p -r1.571 postgres.c
*** src/backend/tcop/postgres.c	29 Aug 2009 19:26:51 -0000	1.571
--- src/backend/tcop/postgres.c	31 Aug 2009 22:00:17 -0000
***************
*** 66,72 ****
  #include "tcop/pquery.h"
  #include "tcop/tcopprot.h"
  #include "tcop/utility.h"
- #include "utils/flatfiles.h"
  #include "utils/lsyscache.h"
  #include "utils/memutils.h"
  #include "utils/ps_status.h"
--- 66,71 ----
*************** PostgresMain(int argc, char *argv[], con
*** 3283,3294 ****
  		 */
  		StartupXLOG();
  		on_shmem_exit(ShutdownXLOG, 0);
- 
- 		/*
- 		 * We have to build the flat file for pg_database, but not for the
- 		 * user and group tables, since we won't try to do authentication.
- 		 */
- 		BuildFlatFiles(true);
  	}
  
  	/*
--- 3282,3287 ----
Index: src/backend/utils/init/Makefile
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/utils/init/Makefile,v
retrieving revision 1.22
diff -c -p -r1.22 Makefile
*** src/backend/utils/init/Makefile	19 Feb 2008 10:30:08 -0000	1.22
--- src/backend/utils/init/Makefile	31 Aug 2009 22:06:37 -0000
*************** subdir = src/backend/utils/init
*** 12,17 ****
  top_builddir = ../../../..
  include $(top_builddir)/src/Makefile.global
  
! OBJS = flatfiles.o globals.o miscinit.o postinit.o
  
  include $(top_srcdir)/src/backend/common.mk
--- 12,17 ----
  top_builddir = ../../../..
  include $(top_builddir)/src/Makefile.global
  
! OBJS = globals.o miscinit.o postinit.o
  
  include $(top_srcdir)/src/backend/common.mk
Index: src/bin/initdb/initdb.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/bin/initdb/initdb.c,v
retrieving revision 1.172
diff -c -p -r1.172 initdb.c
*** src/bin/initdb/initdb.c	11 Jun 2009 14:49:07 -0000	1.172
--- src/bin/initdb/initdb.c	31 Aug 2009 22:43:11 -0000
*************** setup_auth(void)
*** 1405,1424 ****
  	const char **line;
  	static const char *pg_authid_setup[] = {
  		/*
- 		 * Create triggers to ensure manual updates to shared catalogs will be
- 		 * reflected into their "flat file" copies.
- 		 */
- 		"CREATE TRIGGER pg_sync_pg_database "
- 		"  AFTER INSERT OR UPDATE OR DELETE ON pg_database "
- 		"  FOR EACH STATEMENT EXECUTE PROCEDURE flatfile_update_trigger();\n",
- 		"CREATE TRIGGER pg_sync_pg_authid "
- 		"  AFTER INSERT OR UPDATE OR DELETE ON pg_authid "
- 		"  FOR EACH STATEMENT EXECUTE PROCEDURE flatfile_update_trigger();\n",
- 		"CREATE TRIGGER pg_sync_pg_auth_members "
- 		"  AFTER INSERT OR UPDATE OR DELETE ON pg_auth_members "
- 		"  FOR EACH STATEMENT EXECUTE PROCEDURE flatfile_update_trigger();\n",
- 
- 		/*
  		 * The authid table shouldn't be readable except through views, to
  		 * ensure passwords are not publicly visible.
  		 */
--- 1405,1410 ----
Index: src/include/access/twophase_rmgr.h
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/include/access/twophase_rmgr.h,v
retrieving revision 1.7
diff -c -p -r1.7 twophase_rmgr.h
*** src/include/access/twophase_rmgr.h	1 Jan 2009 17:23:56 -0000	1.7
--- src/include/access/twophase_rmgr.h	31 Aug 2009 21:52:03 -0000
*************** typedef uint8 TwoPhaseRmgrId;
*** 24,32 ****
  #define TWOPHASE_RM_END_ID			0
  #define TWOPHASE_RM_LOCK_ID			1
  #define TWOPHASE_RM_INVAL_ID		2
! #define TWOPHASE_RM_FLATFILES_ID	3
! #define TWOPHASE_RM_NOTIFY_ID		4
! #define TWOPHASE_RM_PGSTAT_ID		5
  #define TWOPHASE_RM_MAX_ID			TWOPHASE_RM_PGSTAT_ID
  
  extern const TwoPhaseCallback twophase_recover_callbacks[];
--- 24,31 ----
  #define TWOPHASE_RM_END_ID			0
  #define TWOPHASE_RM_LOCK_ID			1
  #define TWOPHASE_RM_INVAL_ID		2
! #define TWOPHASE_RM_NOTIFY_ID		3
! #define TWOPHASE_RM_PGSTAT_ID		4
  #define TWOPHASE_RM_MAX_ID			TWOPHASE_RM_PGSTAT_ID
  
  extern const TwoPhaseCallback twophase_recover_callbacks[];
Index: src/include/catalog/pg_proc.h
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/include/catalog/pg_proc.h,v
retrieving revision 1.549
diff -c -p -r1.549 pg_proc.h
*** src/include/catalog/pg_proc.h	4 Aug 2009 04:04:12 -0000	1.549
--- src/include/catalog/pg_proc.h	31 Aug 2009 22:05:20 -0000
*************** DESCR("matches LIKE expression, case-ins
*** 2182,2190 ****
  DATA(insert OID = 1661 (  bpcharicnlike		PGNSP PGUID 12 1 0 0 f f f t f i 2 0 16 "1042 25" _null_ _null_ _null_ _null_ texticnlike _null_ _null_ _null_ ));
  DESCR("does not match LIKE expression, case-insensitive");
  
- DATA(insert OID = 1689 (  flatfile_update_trigger  PGNSP PGUID 12 1 0 0 f f f t f v 0 0 2279 "" _null_ _null_ _null_ _null_ flatfile_update_trigger _null_ _null_ _null_ ));
- DESCR("update flat-file copy of a shared catalog");
- 
  /* Oracle Compatibility Related Functions - By Edmund Mergl <E.Mergl@bawue.de> */
  DATA(insert OID =  868 (  strpos	   PGNSP PGUID 12 1 0 0 f f f t f i 2 0 23 "25 25" _null_ _null_ _null_ _null_ textpos _null_ _null_ _null_ ));
  DESCR("find position of substring");
--- 2182,2187 ----
